Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.linuxsampler.lscp
Class BoolParameter

    java.lang.Object
      org.linuxsampler.lscp.AbstractParameter<java.lang.Boolean>
          org.linuxsampler.lscp.BoolParameter

All Implemented Interfaces:
  Parameter<java.lang.Boolean>, Parseable

    public class BoolParameter

extends AbstractParameter<java.lang.Boolean>

This class implements the `Parameter<Boolean>` interface.

Constructor Summary
`BoolParameter()` Creates a new instance of `BoolParameter`
`BoolParameter(java.lang.String name)` Creates a `BoolParameter` instance with the specified name.
`BoolParameter(java.lang.String[] lnS)` Creates a new instance of `BoolParameter` and parses the specified lines.
`BoolParameter(java.lang.String name, java.lang.Boolean value)` Creates a `BoolParameter` instance with the specified name and value.

Method Summary
`java.lang.String` | `getStringValue()` Gets a character string representation of the parameter's value.
`boolean` | `parse(java.lang.String s)` Parses a line of text.
`void` | `parseValue(java.lang.String s)` Parses the specified character string and sets the value of this parameter with the parsed result.

Methods inherited from class org.linuxsampler.lscp.AbstractParameter
`getDefault, getDependances, getDescription, getName, getPossibilities, getRangeMax, getRangeMin, getType, getValue, hasDependances, hasPossibilities, hasRangeMax, hasRangeMin, isBoolean, isBooleanList, isFixed, isFloat, isFloatList, isInteger, isIntegerList, isMandatory, isMultiplicity, isString, isStringList, parseLines, setDefault, setDescription, setMultiplicity, setName, setPossibilities, setRangeMax, setRangeMin, setType, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BoolParameter

    public BoolParameter()

  Creates a new instance of `BoolParameter`

### BoolParameter

    public BoolParameter(java.lang.String name)

  Creates a `BoolParameter` instance with the specified name.

  Parameters:
    `name` - The parameter name.

### BoolParameter

    public BoolParameter(java.lang.String name,
                         java.lang.Boolean value)

  Creates a `BoolParameter` instance with the specified name and value.

  Parameters:
    `name` - The parameter name.
    `value` - The parameter value.

### BoolParameter

    public BoolParameter(java.lang.String[] lnS)
                  throws LscpException

  Creates a new instance of `BoolParameter` and parses the specified lines.

  Parameters:
    `lnS` - A `String` array with lines to be parsed.
  Throws:
    `LscpException` - If the parse fail.

Method Detail

### parse

    public boolean parse(java.lang.String s)
                  throws LscpException

  Parses a line of text.

  Specified by:
    `parse` in interface `Parseable`
  Overrides:
    `parse` in class `AbstractParameter<java.lang.Boolean>`
  Parameters:
    `s` - The string to be parsed.
  Returns:
    `true` if the line has been processed, `false` otherwise.
  Throws:
    `LscpException` - If some error occurs.

### parseValue

    public void parseValue(java.lang.String s)

  Parses the specified character string and sets the value of this parameter with the parsed result.

  Parameters:
    `s` - A character string containing the value to be parsed.

### getStringValue

    public java.lang.String getStringValue()

  Gets a character string representation of the parameter's value.

  Returns:
    A character string representation of the parameter's value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jlscp v0.8
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Grigor Iliev. All rights reserved.